# Interface GmfOgcServer

interface GmfOgcServer {
attributes: {};
credential: boolean;
imageType: string;
isSingleTile: boolean;
namespace: string;
type: string;
url: string;
urlWfs: string;
wfsFeatureNS: string;
wfsSupport: boolean;
}

- Defined in src/themes.js:192

#####
Index

### Properties

attributes
credential
imageType
isSingleTile
namespace
type
url
urlWfs
wfsFeatureNS
wfsSupport

## Properties

### attributes

attributes: {}

#### Type declaration

- Defined in src/themes.js:202

### credential

credential: boolean

- Defined in src/themes.js:193

### imageType

imageType: string

'image/png' or 'image/jpeg'.

- Defined in src/themes.js:194

### isSingleTile

isSingleTile: boolean

- Defined in src/themes.js:195

### namespace

namespace: string

Namespace

- Defined in src/themes.js:196

### type

type: string

'mapserver', 'qgisserver', 'geoserver' or 'other'.

- Defined in src/themes.js:197

### url

url: string

- Defined in src/themes.js:198

### urlWfs

urlWfs: string

The WFS URL.

- Defined in src/themes.js:199

### wfsFeatureNS

wfsFeatureNS: string

WFS feature namespace

- Defined in src/themes.js:200

### wfsSupport

wfsSupport: boolean

- Defined in src/themes.js:201

Generated using TypeDoc